#' CO2 Inhalation Data
#'
#' Nine physiological measures during a CO2-inhalation experiment.
#'
#' @docType data
#'
#' @usage data(CO2Inhalation)
#' @format Dataframe with 239 rows and 10 columns.
#'  The first column indicates the experimental phase and the last nine columns correspond to the nine physiological measures tracked during the experiment:
#'  Breathing volume variables (ViVol, VeVol, Vent, PiaAB), breathing duration variables (Ti,Te,Tt), heart rate (HR) and RR interval (RR) or cardiac beat interval.
#'
#' @keywords datasets
#'
#' @references De Roover, K., Timmerman, M. E., Van Diest, I., Onghena, P., & Ceulemans, E. (2014). Switching principal component analysis for modeling means and covariance changes over time. \emph{Psychological Methods}, 19, 113-132. doi:10.1037/a0034525
#' @examples
#' data(CO2Inhalation)
"CO2Inhalation"

